#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x27d9225a, "module_layout" },
	{ 0x4555f768, "usbnet_resume" },
	{ 0xa4a8fcbf, "usbnet_suspend" },
	{ 0x3a3778e6, "usbnet_disconnect" },
	{ 0xf508eddd, "usbnet_probe" },
	{ 0x9e6669a4, "usbnet_nway_reset" },
	{ 0x37abb644, "usbnet_set_msglevel" },
	{ 0xd15e98ca, "usbnet_get_msglevel" },
	{ 0xdf6dc540, "usbnet_set_settings" },
	{ 0xbd83bae0, "usbnet_get_settings" },
	{ 0x97468f3f, "usbnet_change_mtu" },
	{ 0xec059ac3, "eth_mac_addr" },
	{ 0xec157259, "usbnet_tx_timeout" },
	{ 0x8d256337, "eth_validate_addr" },
	{ 0x68a34cca, "usbnet_start_xmit" },
	{ 0xd5821d84, "usbnet_stop" },
	{ 0x472642ad, "usbnet_open" },
	{ 0x7a6ebe42, ".usb_register_driver" },
	{ 0xfbfbb3d6, ".usb_deregister" },
	{ 0x2802e5e4, ".usbnet_defer_kevent" },
	{ 0x2b9f4a93, ".netif_carrier_on" },
	{ 0x8279e1e7, ".netif_carrier_off" },
	{ 0xbce2cc77, ".usbnet_unlink_rx_urbs" },
	{ 0xb440058, ".usbnet_skb_return" },
	{ 0x37e7543e, ".skb_clone" },
	{ 0x8ef62d5, ".skb_pull" },
	{ 0x5dbbe98e, ".memmove" },
	{ 0x8a7345e4, ".skb_put" },
	{ 0x2f8c5b93, ".skb_push" },
	{ 0xa98c1d97, ".__dev_kfree_skb_any" },
	{ 0xfcde9fd2, ".skb_copy_expand" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0xfaf98462, ".bitrev32" },
	{ 0x92ea4ae4, ".crc32_le" },
	{ 0x27e1a049, ".printk" },
	{ 0x185755a5, ".usb_free_urb" },
	{ 0x58e16914, ".usb_submit_urb" },
	{ 0x9f3fe59d, ".kmem_cache_alloc_trace" },
	{ 0x1ee206cf, ".usb_alloc_urb" },
	{ 0xcceea01b, "malloc_sizes" },
	{ 0xbf430713, ".generic_mii_ioctl" },
	{ 0x7ec9bfbc, ".strncpy" },
	{ 0x8239e073, ".usbnet_get_drvinfo" },
	{ 0xc7442d70, ".mii_link_ok" },
	{ 0x355d6dcb, ".usbnet_get_endpoints" },
	{ 0x48055816, ".mii_nway_restart" },
	{ 0xbeec42ec, ".mutex_unlock" },
	{ 0x32e17642, ".mutex_lock" },
	{ 0x6067a146, ".memcpy" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0xf9a482f9, ".msleep" },
	{ 0x3f623fd2, ".mii_ethtool_gset" },
	{ 0x437b637a, ".mii_check_media" },
	{ 0xbf2b2074, ".netdev_err" },
	{ 0x9c957f50, ".dev_printk" },
	{ 0x8b7fe311, ".kmemdup" },
	{ 0x37a0cba, ".kfree" },
	{ 0x39df763d, ".usb_control_msg" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "FD01ADA21AACA663CCE1750");
