#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x27d9225a, "module_layout" },
	{ 0x69b6a60c, "eth_change_mtu" },
	{ 0x8d256337, "eth_validate_addr" },
	{ 0xec059ac3, "eth_mac_addr" },
	{ 0x7a6ebe42, ".usb_register_driver" },
	{ 0x4302d0eb, ".free_pages" },
	{ 0x93fca811, ".__get_free_pages" },
	{ 0x6b4bf6a2, ".register_netdev" },
	{ 0xfb0e29f, ".init_timer_key" },
	{ 0x233e6992, ".usb_alloc_coherent" },
	{ 0xc7ec28b0, ".memcmp" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x801025eb, ".usb_reset_configuration" },
	{ 0x6b7ac905, ".alloc_etherdev_mqs" },
	{ 0xd12c72c6, ".release_firmware" },
	{ 0xb2c651ee, ".request_firmware" },
	{ 0x8279e1e7, ".netif_carrier_off" },
	{ 0x2b9f4a93, ".netif_carrier_on" },
	{ 0x2102854, ".usb_autopm_get_interface" },
	{ 0x4992597a, ".usb_autopm_put_interface" },
	{ 0x5a025f7b, ".arch_local_irq_restore" },
	{ 0xfcde9fd2, ".skb_copy_expand" },
	{ 0xcd0529c7, "._raw_spin_lock_irq" },
	{ 0xe601723f, ".__dev_kfree_skb_irq" },
	{ 0x37a0cba, ".kfree" },
	{ 0x1ee206cf, ".usb_alloc_urb" },
	{ 0x9f3fe59d, ".kmem_cache_alloc_trace" },
	{ 0xcceea01b, "malloc_sizes" },
	{ 0x519b0da3, ".finish_wait" },
	{ 0xd62c833f, ".schedule_timeout" },
	{ 0xaf2d872c, ".prepare_to_wait" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x731bb16d, ".__netif_schedule" },
	{ 0x1902adf, ".netpoll_trap" },
	{ 0xbadf01b3, ".usb_unlink_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0x6940623f, ".dev_warn" },
	{ 0xb3164bcf, ".free_netdev" },
	{ 0x957ba2cb, ".usb_free_coherent" },
	{ 0x185755a5, ".usb_free_urb" },
	{ 0xa991272c, ".unregister_netdev" },
	{ 0x95d0c2b6, ".dev_set_drvdata" },
	{ 0x7cf17da5, "._dev_info" },
	{ 0xfb5f846a, ".cancel_delayed_work_sync" },
	{ 0xe0c26d89, ".usb_kill_urb" },
	{ 0x80f4d06b, ".netif_rx" },
	{ 0xf253f46b, ".eth_type_trans" },
	{ 0x8a7345e4, ".skb_put" },
	{ 0x6067a146, ".memcpy" },
	{ 0xf496746b, ".dev_alloc_skb" },
	{ 0xde48e9ca, "._raw_spin_lock" },
	{ 0x5e3a8a9c, ".__wake_up" },
	{ 0x5c37f319, "._raw_spin_unlock_irqrestore" },
	{ 0xf5222143, "._raw_spin_lock_irqsave" },
	{ 0x247b3ba9, ".dev_get_drvdata" },
	{ 0xf1bea6f1, ".schedule_delayed_work" },
	{ 0x27e1a049, ".printk" },
	{ 0x58e16914, ".usb_submit_urb" },
	{ 0xfbfbb3d6, ".usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "FD003DB892384CA0672BB7A");
