#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x27d9225a, "module_layout" },
	{ 0x4555f768, "usbnet_resume" },
	{ 0xa4a8fcbf, "usbnet_suspend" },
	{ 0x3a3778e6, "usbnet_disconnect" },
	{ 0xf508eddd, "usbnet_probe" },
	{ 0x810b3618, "param_ops_string" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x5b2de650, "rndis_tx_fixup" },
	{ 0x89297b58, "rndis_rx_fixup" },
	{ 0x786c3a60, "rndis_status" },
	{ 0xec157259, "usbnet_tx_timeout" },
	{ 0x8d256337, "eth_validate_addr" },
	{ 0xec059ac3, "eth_mac_addr" },
	{ 0x68a34cca, "usbnet_start_xmit" },
	{ 0xd5821d84, "usbnet_stop" },
	{ 0x472642ad, "usbnet_open" },
	{ 0x7a6ebe42, ".usb_register_driver" },
	{ 0xfbfbb3d6, ".usb_deregister" },
	{ 0x112e0f3a, ".cfg80211_disconnected" },
	{ 0xbbd25889, ".cfg80211_roamed" },
	{ 0xabb2a4c6, ".cfg80211_ibss_joined" },
	{ 0xf6ec427b, ".cfg80211_connect_result" },
	{ 0x2b9f4a93, ".netif_carrier_on" },
	{ 0x6a64a924, ".cfg80211_cqm_rssi_notify" },
	{ 0x9f3fe59d, ".kmem_cache_alloc_trace" },
	{ 0x3bd1b1f6, ".msecs_to_jiffies" },
	{ 0xcceea01b, "malloc_sizes" },
	{ 0xf30e2b35, ".cfg80211_inform_bss" },
	{ 0xeb5d205c, ".__ieee80211_get_channel" },
	{ 0xbf2b2074, ".netdev_err" },
	{ 0x23cffedd, ".usbnet_resume_rx" },
	{ 0x2eaaae9e, ".usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, ".ieee80211_frequency_to_channel" },
	{ 0xa886a958, ".krealloc" },
	{ 0x8279e1e7, ".netif_carrier_off" },
	{ 0x70bdcec2, ".wiphy_register" },
	{ 0x332ec019, ".generic_rndis_bind" },
	{ 0xfb0e29f, ".init_timer_key" },
	{ 0x88a193, ".__alloc_workqueue_key" },
	{ 0xf886a06, ".__mutex_init" },
	{ 0xa8749585, ".wiphy_new" },
	{ 0xe572295d, ".wiphy_free" },
	{ 0xdc385c31, ".wiphy_unregister" },
	{ 0xff13cede, ".rndis_unbind" },
	{ 0x8c03d20c, ".destroy_workqueue" },
	{ 0x57c4691b, ".queue_delayed_work" },
	{ 0x1eb9516e, ".round_jiffies_relative" },
	{ 0xe4fe8ca1, "._raw_spin_unlock_bh" },
	{ 0xaf063510, "._raw_spin_lock_bh" },
	{ 0x336854d2, ".cfg80211_scan_done" },
	{ 0x42160169, ".flush_workqueue" },
	{ 0x88bfa7e, ".cancel_work_sync" },
	{ 0xfb5f846a, ".cancel_delayed_work_sync" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0xf9a482f9, ".msleep" },
	{ 0xb3e907f2, ".netdev_warn" },
	{ 0x3fa03a97, ".memset" },
	{ 0x3c2c5af5, ".sprintf" },
	{ 0xdcb5671d, ".strlen" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0xbeec42ec, ".mutex_unlock" },
	{ 0x9c13375b, ".rndis_command" },
	{ 0x6067a146, ".memcpy" },
	{ 0x32e17642, ".mutex_lock" },
	{ 0x37a0cba, ".kfree" },
	{ 0xebdc7cc2, ".usbnet_pause_rx" },
	{ 0x6f041344, ".cfg80211_michael_mic_failure" },
	{ 0x9c957f50, ".dev_printk" },
	{ 0xb72b4e39, ".netdev_info" },
	{ 0x26576139, ".queue_work" },
	{ 0xe2d5255a, ".strcmp" },
	{ 0x11089ac7, "_ctype" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01*");

MODULE_INFO(srcversion, "4CDBDF92964828F5D4C04E6");
