#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x27d9225a, "module_layout" },
	{ 0x40acf1e6, "rt2x00usb_resume" },
	{ 0x204823e6, "rt2x00usb_suspend" },
	{ 0x387c100, "rt2x00usb_disconnect" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0xbe8855b9, "rt2x00mac_tx_frames_pending" },
	{ 0x6393f3a3, "rt2x00mac_get_ringparam" },
	{ 0x569428fc, "rt2x00mac_get_antenna" },
	{ 0xb67fc263, "rt2x00mac_set_antenna" },
	{ 0xa73ae6a4, "rt2x00mac_flush" },
	{ 0xebcb8cce, "rt2x00mac_rfkill_poll" },
	{ 0xeddd0fdd, "rt2x00mac_conf_tx" },
	{ 0x3f83100e, "rt2x00mac_get_stats" },
	{ 0x7ae0329e, "rt2x00mac_sw_scan_complete" },
	{ 0x822c9e2a, "rt2x00mac_sw_scan_start" },
	{ 0x930a59fd, "rt2x00mac_set_key" },
	{ 0xeffcde6, "rt2x00mac_set_tim" },
	{ 0x9d84f150, "rt2x00mac_configure_filter" },
	{ 0x5b71e243, "rt2x00mac_bss_info_changed" },
	{ 0x9f514320, "rt2x00mac_config" },
	{ 0x96af3c9, "rt2x00mac_remove_interface" },
	{ 0xa0d7799f, "rt2x00mac_add_interface" },
	{ 0xe5cac3d9, "rt2x00mac_stop" },
	{ 0x59ab575, "rt2x00mac_start" },
	{ 0x1044a2f4, "rt2x00mac_tx" },
	{ 0x4e6e7d8f, "rt2x00usb_flush_queue" },
	{ 0xd49cd979, "rt2x00usb_kick_queue" },
	{ 0x645661ec, "rt2x00usb_watchdog" },
	{ 0x33a4fc0, "rt2x00usb_clear_entry" },
	{ 0xd928bbf1, "rt2x00usb_uninitialize" },
	{ 0xbbb07abe, "rt2x00usb_initialize" },
	{ 0x7a6ebe42, ".usb_register_driver" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0x79aa04a2, ".get_random_bytes" },
	{ 0x5fa79133, ".rt2x00usb_disable_radio" },
	{ 0xf9a482f9, ".msleep" },
	{ 0x2adaf8c4, ".rt2x00usb_vendor_request" },
	{ 0x8b566f56, ".consume_skb" },
	{ 0x58e16914, ".usb_submit_urb" },
	{ 0x2f8c5b93, ".skb_push" },
	{ 0xe101385, ".skb_trim" },
	{ 0x6067a146, ".memcpy" },
	{ 0xb0c924e3, ".rt2x00usb_vendor_request_buff" },
	{ 0xbeec42ec, ".mutex_unlock" },
	{ 0x32e17642, ".mutex_lock" },
	{ 0x27e1a049, ".printk" },
	{ 0x7b3ef37f, ".rt2x00usb_vendor_req_buff_lock" },
	{ 0xa39b4cf2, ".udelay" },
	{ 0x59094f94, ".rt2x00usb_probe" },
	{ 0xfbfbb3d6, ".usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00usb,rt2x00lib,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "BEF873517BCE5563631C907");
